darcs

Issue 305 wish: optimize --clean

Title wish: optimize --clean
Priority feature Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder darcs optimize should clean the _darcs/inventories/ subdir just as it cleans _darcs/pristine.hashed/
View: 1987
Nosy List darcs-devel, dmitry.kurochkin, kowey, markstos, mdiaz, mornfall, thorkilnaur, tommy
Assigned To mdiaz
Topics Hashed, Performance

Created on 2006-10-15.14:45:37 by kowey, last changed 2014-04-10.14:30:06 by gh.

Messages
msg1099 (view) Author: kowey Date: 2006-10-15.14:45:26
From TODO: Add a --clean option to optimize
Import of RT #28

<droundy@abridgegame.org> 2004-11-07
------------------------------------
Subject: From TODO: Add a --clean option to optimize

Add a --clean option to optimize to get rid of old cruft in the _darcs
directory (old patches, etc).
msg3016 (view) Author: markstos Date: 2008-02-01.03:25:06
I agree this feature would be nice to have as well.
msg7052 (view) Author: thorkilnaur Date: 2009-01-12.10:12:37
Setting status deferred, since this is a new feature.

Best regards
Thorkil
msg7078 (view) Author: thorkilnaur Date: 2009-01-13.11:14:47
Sorry, deferring was a mistake. Setting status need-info instead, asking for a 
discussion of whether we should work towards supporting this feature.

Thanks and best regards
Thorkil
msg8650 (view) Author: kowey Date: 2009-09-02.19:49:40
This ancient feature request sounds even more relevant with hashed repositories.
 Could something like this be useful to garbage collect unused hashed files,
maybe also from the global caches?

I'm adding Petr to this because of his hashed-storage work.
msg8653 (view) Author: markstos Date: 2009-09-02.20:04:41
On Wed, 02 Sep 2009 19:49:45 +0000
Eric Kow <bugs@darcs.net> wrote:

> 
> Eric Kow <kowey@darcs.net> added the comment:
> 
> This ancient feature request sounds even more relevant with hashed repositories.
>  Could something like this be useful to garbage collect unused hashed files,
> maybe also from the global caches?

I like the idea of global cache being pruned back to some configurable size.

I think of "dot files" and "dot directories" as being small. While I don't mind
that darcs uses one to store a global cache, I don't like the idea of it
growing larger than a gigabyte.

    Mark
msg17325 (view) Author: gh Date: 2014-04-10.14:30:05
Resolved by <http://bugs.darcs.net/patch1134>.
Global cache garbage collection shall have a separate ticket.
History
Date User Action Args
2006-10-15 14:45:37koweycreate
2007-08-14 06:24:20koweysettopic: - FromRequestTracker
nosy: + beschmi
2008-02-01 03:25:08markstossetstatus: unread -> deferred
nosy: + markstos
messages: + msg3016
2008-05-14 13:10:28koweysetstatus: deferred -> unknown
nosy: + dagit
2008-05-14 13:10:45koweysetnosy: droundy, tommy, beschmi, kowey, markstos, dagit
title: Add a --clean option to optimize -> wish: optimize --clean
2009-01-12 10:12:38thorkilnaursetstatus: unknown -> deferred
nosy: + dmitry.kurochkin, simon, thorkilnaur
messages: + msg7052
2009-01-13 11:14:49thorkilnaursetstatus: deferred -> waiting-for
nosy: droundy, tommy, beschmi, kowey, markstos, dagit, simon, thorkilnaur, dmitry.kurochkin
messages: + msg7078
2009-08-06 17:36:17adminsetnosy: + jast, Serware, darcs-devel, zooko, mornfall, - droundy
2009-08-06 20:33:20adminsetnosy: - beschmi
2009-08-10 21:57:08adminsetnosy: - darcs-devel, zooko, jast, Serware, mornfall
2009-08-10 23:56:59adminsetnosy: - dagit
2009-08-25 17:38:47adminsetnosy: + darcs-devel, - simon
2009-08-27 14:14:54adminsetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, dmitry.kurochkin
2009-09-02 19:49:45koweysetstatus: waiting-for -> needs-implementation
nosy: + mornfall
topic: + Hashed
messages: + msg8650
2009-09-02 20:04:45markstossetnosy: tommy, kowey, markstos, darcs-devel, thorkilnaur, dmitry.kurochkin, mornfall
messages: + msg8653
2010-08-26 19:14:03koweysettopic: + Performance
2014-03-23 00:02:38ghsetassignedto: mdiaz
nosy: + mdiaz
2014-04-10 14:30:06ghsetstatus: needs-implementation -> resolved
superseder: + darcs optimize should clean the _darcs/inventories/ subdir just as it cleans _darcs/pristine.hashed/
messages: + msg17325
resolvedin: 2.10.0 HEAD